Package com.microsoft.sqlserver.jdbc.dataclassification

## Class SensitivityProperty

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.dataclassification.SensitivityProperty

    public class SensitivityProperty
    extends java.lang.Object

Represents the Data Classification Sensitivity Property as received from SQL Server for the active resultSet

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`SensitivityProperty​(Label label, InformationType informationType)` | Constructs a SensitivityProperty

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`InformationType` | `getInformationType()` | Returns the information type data for this `SensitivityProperty` Object
`Label` | `getLabel()` | Returns the label data for this `SensitivityProperty` Object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SensitivityProperty

    public SensitivityProperty​(Label label,
                               InformationType informationType)

Constructs a SensitivityProperty

Parameters:
  `label` - Label as received from SQL Server for this SensitivityProperty
  `informationType` - InformationType as received from SQL Server for this SensitivityProperty

### Method Detail

#### getLabel

    public Label getLabel()

Returns the label data for this `SensitivityProperty` Object

Returns:
  label

#### getInformationType

    public InformationType getInformationType()

Returns the information type data for this `SensitivityProperty` Object

Returns:
  informationType